Bug 469911 - filesystem test quietly fails
filesystem test quietly fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sectool (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Kopeček
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 13:06 EST by Daniel Qarras
Modified: 2009-01-07 04:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:30:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
filesystem test wrapper (1.56 KB, application/octet-stream)
2008-11-27 17:37 EST, Daniel Kopeček
no flags Details

  None (edit)
Description Daniel Qarras 2008-11-04 13:06:35 EST
Description of problem:
root@localhost:~# sectool --hint --level 5 --run filesystem --debug
filesystem ->
    filesystem: FAIL

This is on a system with SELinux disabled.
Comment 1 Daniel Kopeček 2008-11-18 09:23:26 EST
Fixed in git:
 - added missing test_exit messages
 - don't exit if lstat(path) fails

The reported problem was probably caused by some file that the filesystem test was unable to lstat even with root privileges. This behavior was changed. The test now prints a warning message if this happens and continues.
Comment 2 Fedora Update System 2008-11-24 05:45:29 EST
sectool-0.9.2-1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sectool-0.9.2-1
Comment 3 Bug Zapper 2008-11-25 23:45:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2008-11-26 01:16:20 EST
sectool-0.9.2-1 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sectool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10272
Comment 5 Daniel Qarras 2008-11-26 17:59:33 EST
Still seeing the same error when SELinux is disabled:

root@localhost:~# sectool --hint --level 3 --run filesystem --debug
filesystem ->
    filesystem: FAIL
Comment 6 Daniel Kopeček 2008-11-27 05:29:45 EST
(In reply to comment #5)
> Still seeing the same error when SELinux is disabled:
> 
> root@localhost:~# sectool --hint --level 3 --run filesystem --debug
> filesystem ->
>     filesystem: FAIL

Sorry for that. I forgot to fix something on a different place :] New update should be available later today.
Comment 7 Daniel Kopeček 2008-11-27 17:37:21 EST
Created attachment 324923 [details]
filesystem test wrapper

Could you please run the attached script on your machine? You should then see the failure reason. Unfortunately, the sectool update won't be available today.
Comment 8 Daniel Qarras 2008-11-27 18:44:28 EST
Sure, no problem, please the output below:

root@localhost:~# rpm -q sectool
sectool-0.9.2-1.i386
root@localhost:~# rpm -V sectool
root@localhost:~# mount
/dev/sda3 on / type ext3 (rw,noatime,nodiratime)
/proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
gvfs-fuse-daemon on /home/testuser/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=testuser)
root@localhost:~# sh ./run-filesystem.sh
filesystem: filesystem.c:344: islocal: Assertion `DEVid_count > 1' failed.
./run-filesystem.sh: line 53:  3387 Aborted                 /usr/share/sectool/tests/filesystem
zsh: exit 134   sh ./run-filesystem.sh
root@localhost:~# 

Unfortunately, I didn't become any wiser after reading the error message :)
Comment 9 Daniel Kopeček 2008-11-27 19:07:17 EST
(In reply to comment #8)
> root@localhost:~# sh ./run-filesystem.sh
> filesystem: filesystem.c:344: islocal: Assertion `DEVid_count > 1' failed.

Ah... This is the problem. Wrong assert :] It should be DEVid_count >= 1 (or > 0). I've fixed it in git.

Thanks
Comment 10 Fedora Update System 2008-12-01 18:28:20 EST
sectool-0.9.2-2 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sectool-0.9.2-2
Comment 11 Fedora Update System 2008-12-02 20:25:44 EST
sectool-0.9.2-2 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sectool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10649
Comment 12 Daniel Qarras 2008-12-03 12:10:18 EST
Yep, now working all ok.
Comment 13 Fedora Update System 2009-01-07 04:29:54 EST
sectool-0.9.2-2 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.